Bug 192167 - xorg-x11-drv-via fails to build in mock
xorg-x11-drv-via fails to build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-via (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-17 22:25 EDT by Michael J Knox
Modified: 2013-01-09 22:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-26 11:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mdomsch's mock buildlog (9.48 KB, text/plain)
2006-05-17 22:25 EDT, Michael J Knox
no flags Details
Missing BR patch (1.02 KB, patch)
2006-05-17 23:08 EDT, Brian Pepple
no flags Details | Diff
Build log for patch (47.96 KB, text/plain)
2006-05-17 23:09 EDT, Brian Pepple
no flags Details

  None (edit)
Description Michael J Knox 2006-05-17 22:25:49 EDT
This package fails to build in mock.  build.log is attached.
Comment 1 Michael J Knox 2006-05-17 22:25:49 EDT
Created attachment 129382 [details]
mdomsch's mock buildlog
Comment 2 Brian Pepple 2006-05-17 23:08:38 EDT
Created attachment 129390 [details]
Missing BR patch
Comment 3 Brian Pepple 2006-05-17 23:09:17 EDT
Created attachment 129391 [details]
Build log for patch
Comment 4 Mike A. Harris 2006-05-23 10:44:39 EDT
Changing state to ASSIGNED.
Comment 5 Mike A. Harris 2006-05-26 11:35:08 EDT
>checking for XORG... configure: error: Package requirements (xorg-server >=
>1.0.99.901 xproto xvmc fontsproto libdrm  randrproto renderproto xextproto x11
>xextproto) were not met:

For the missing proto-devel, the SDK uses the protocol headers, and so should
be what is dragging them in.  An updated xorg-x11-server-sdk package now has
a direct dependency on xorg-x11-proto-devel.  I've updated the via package
to require this new sdk instead.

>Package xext was not found in the pkg-config search path.
>Perhaps you should add the directory containing `xext.pc'
>to the PKG_CONFIG_PATH environment variable
>Package 'xext', required by 'Xv', not found

This indicates taht it is libXv that requires Xext, rather than the via driver
itself.  I have added a "Requires: libXext-devel" to the libXv-devel
subpackage.  I do not want to add a forced dependency in libXvMC on this
new libXv package however, as it is just for dependency resolution, and
our internal buildsystem as well as mock will both ensure the latest
packages are installed.  This avoids unnecessary updates.

A new via package is avail now with its sdk dependency updated.


Note You need to log in before you can comment on or make changes to this bug.